#include<bits/stdc++.h>
using namespace std;
vector<double>p(200000);
map<double, int>mapa;
int main()
{
  ios_base::sync_with_stdio(false);
  cin.tie(NULL);
  cout.tie(NULL);
  int n;
  cin >> n;
  for (int i=0; i<n; i++)
  {
    int a;
    double b;
    cin >> a >> b;
    p[i]=b;
    mapa[b]+=a;
  }
  sort(p.begin(), p.end(), greater<double>());
  double zbir=0, s=0;
  double pre=-1;;
  for (int i=0; i<n; i++)
  {
    if (i!=0) pre=p[i-1];
    if (p[i]==pre) continue;
    zbir+=1.0*mapa[p[i]];
    if (s<zbir*p[i]) s=zbir*p[i];
  }
  cout << fixed << showpoint << setprecision(4) << s/100;
  return 0;
}